<?

namespace Diamond\Repositories;

/**
 * Description of MailingSubscriber
 *
 * @author Admin
 */
class MailingSubscriber extends \Core\Repository\PropelQueryAbstract implements \Core\Repository\CrudInterface, \Core\Repository\DropDownInterface
{
    public function buildEntity()
    {
        return new \Diamond\Infrastructure\Models\MailingSubscriber\MailingSubscriber;
    }

    public function buildQuery()
    {
        return \Diamond\Infrastructure\Models\MailingSubscriber\MailingSubscriberQuery::create();
    }
    public function getDropdownList():array
    {
        return $this->buildQuery()
		->orderByTitle()
		->find()
		->toKeyValue('id','title');
    }
    //put your code here
}